function data()
return {
	info = {
		minorVersion = 0,
		severityAdd = "NONE",
		severityRemove = "WARNING",
		name = _("Sggnss 80"),
		description = _("info_sggnss_80_desc"),
		tags = { "Europe", "Wagon", },
		
		params = {
			{
				key = "sggnss80fake",
				name = _("Fake"),
				values = { "No", "Yes", },
				tooltip = _("option_sggnss_80_desc"),
				defaultIndex = 0,
			},
		},
		
		dependencies = { "kaleut_drehgestelle_1", "mknj_container_asset_set_1" },
		
		requiredMods = {
				{ 
					modId= "kaleut_drehgestelle_1", -- optional, modid
					steamId = 1956333378, -- optional, steam workshop id 
					tfnetId = 5040, -- optional, id der Webdisk auf transportfever.net
					url = "https://modwerkstatt.com/downloads/gueterwagen-drehgestelle-tpf2/", -- optional, url zum Download der Mod
					minMinorVersion = 0 -- optional, minimale minorVersion
				}, 	
				{ 
					modId= "mknj_container_asset_set_1", -- optional, modid
					steamId = 1936342398, -- optional, steam workshop id 
					tfnetId = 4849, -- optional, id der Webdisk auf transportfever.net
					url = "https://modwerkstatt.com/downloads/container-asset-set-tpf2/", -- optional, url zum Download der Mod
					minMinorVersion = 3 -- optional, minimale minorVersion
				}, 
			},
			
			
		authors = {
			{
				name = "Kaleut1988",
				role = "CREATOR",
				text = "3d model, mapping, textures",
				tfnetId = 22532,				
			},
			{
				name = "baubus",
				role = "CO_CREATOR",
				text = "soundset",
				tfnetId = 18332,				
			},
		},
		url = "",		
		steamId = 0, 		
		visible = true
	},	
		
	runFn = function (settings, modParams)		
		
		local hidden = {				
				["fake_leer.mdl"] = true,
				["fake_mix_1.mdl"] = true,
				["fake_mix_2.mdl"] = true,
				["fake_mix_3.mdl"] = true,
				["fake_mix_4.mdl"] = true,
				["fake_mix_5.mdl"] = true,
				["fake_mix_6.mdl"] = true,
				["fake_mix_7.mdl"] = true,
				["fake_mix_8.mdl"] = true,
				["fake_mix_9.mdl"] = true,
				["fake_mix_10.mdl"] = true,
				["fake_mix_11.mdl"] = true,
				["fake_mix_12.mdl"] = true,				
			}
		
		local modelFilter = function(fileName, data)				
				local modelName = fileName:match('/sggnss_80_rcw_([^/]*.mdl)') or fileName:match('/sggnss_80_box_([^/]*.mdl)')			
				return (modelName==nil or hidden[modelName]~=true)				
			end  
		
		if modParams[getCurrentModId()] ~= nil then
			local params = modParams[getCurrentModId()]					
			if params["sggnss80fake"] == 0 then
				addFileFilter("model/vehicle", modelFilter)		
			end
		else
			addFileFilter("model/vehicle", modelFilter)	
		end		
	end
}
end
